From 7fa8e92956961e8e74eb6497453d58fa79df257d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Pavel=20Ondra=C4=8Dka?= <pavel.ondracka@gmail.com>
Date: Tue, 4 May 2021 15:51:20 +0200
Subject: [PATCH 2/2] Make the section_species_projected_dos more generic

Consistently with section_atom_projected_dos this section is now
supposed to hold data of a single atomic species.
---
 nomad/datamodel/metainfo/common_dft.py | 32 ++++++--------------------
 1 file changed, 7 insertions(+), 25 deletions(-)

diff --git a/nomad/datamodel/metainfo/common_dft.py b/nomad/datamodel/metainfo/common_dft.py
index ef7b8885..02e2f121 100644
--- a/nomad/datamodel/metainfo/common_dft.py
+++ b/nomad/datamodel/metainfo/common_dft.py
@@ -5522,16 +5522,6 @@ class SpeciesProjectedDos(MSection):
         categories=[Unused],
         a_legacy=LegacyDefinition(name='number_of_species_projected_dos_values'))
 
-    number_of_species = Quantity(
-        type=int,
-        shape=[],
-        description='''
-        Gives the number of species for the species-projected density of states (DOS)
-        defined in section_species_projected_dos.
-        ''',
-        categories=[Unused],
-        a_legacy=LegacyDefinition(name='number_of_species'))
-
     species_projected_dos_energies_normalized = Quantity(
         type=np.dtype(np.float64),
         shape=['number_of_species_projected_dos_values'],
@@ -5595,29 +5585,24 @@ class SpeciesProjectedDos(MSection):
 
     species_projected_dos_species_label = Quantity(
         type=str,
-        shape=['number_of_species'],
+        shape=[],
         description='''
-        Contains labels of the atomic species for the species-projected density of states
+        Contains label of the atomic species for the species-projected density of states
         (DOS).
 
         Differently from atom_labels, which allow more than one label for the same atomic
-        species (by adding a number or a string to the label), this list is expected to
+        species (by adding a number or a string to the label), this string is expected to
         refer to actual atomic species, i.e. belonging to the periodic table of elements.
-        Thus, the species-projected DOS are expected to be as many as the different atomic
-        species in the system.
         ''',
         categories=[Unused],
         a_legacy=LegacyDefinition(name='species_projected_dos_species_label'))
 
     species_projected_dos_values_lm = Quantity(
         type=np.dtype(np.float64),
-        shape=['number_of_lm_species_projected_dos', 'number_of_spin_channels', 'number_of_species', 'number_of_species_projected_dos_values'],
+        shape=['number_of_lm_species_projected_dos', 'number_of_spin_channels', 'number_of_species_projected_dos_values'],
         description='''
         Holds species-projected density of states (DOS) values, divided into contributions
-        from each $l,m$ channel.
-
-        Here, there are as many species-projected DOS as the number of species,
-        number_of_species. The list of labels of the species is given in
+        from each $l,m$ channel for single species specified in
         species_projected_dos_species_label.
         ''',
         categories=[Unused],
@@ -5625,13 +5610,10 @@ class SpeciesProjectedDos(MSection):
 
     species_projected_dos_values_total = Quantity(
         type=np.dtype(np.float64),
-        shape=['number_of_spin_channels', 'number_of_species', 'number_of_species_projected_dos_values'],
+        shape=['number_of_spin_channels', 'number_of_species_projected_dos_values'],
         description='''
         Holds species-projected density of states (DOS) values, summed up over all
-        azimuthal quantum numbers $l$.
-
-        Here, there are as many species-projected DOS as the number of species,
-        number_of_species. The list of labels of the species is given in
+        azimuthal quantum numbers $l$ for single species specified in
         species_projected_dos_species_label.
         ''',
         categories=[Unused],
-- 
2.25.4

